MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032302Open CASCADE[OCCT] OCCT:Visualizationpublic2021-04-15 11:232021-04-17 14:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032302: Visualization, TKOpenGles - do not use window buffer by default
DescriptionOpenGl_Caps::useSystemBuffer is set to FALSE for desktop OpenGL and to TRUE for OpenGL ES.
This configuration may lead to rendering issues, so that it is proposed disabling it consistently on OpenGL ES as well.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0100309)
git (administrator)
2021-04-15 11:31

Branch CR32302 has been created by kgv.

SHA-1: a18132ed10df830c08be7d8b881ae509f583f159


Detailed log of new commits:

Author: kgv
Date: Thu Apr 15 11:27:38 2021 +0300

    0032302: Visualization, TKOpenGles - do not use window buffer by default
    
    OpenGl_Caps::useSystemBuffer is now set to FALSE on both OpenGL and OpenGL ES.
    OpenGl_Caps::buffersNoSwap and OpenGl_Caps::buffersOpaqueAlpha are now set to TRUE by default on WebGL.
(0100315)
kgv (developer)
2021-04-15 13:49

Patch is ready for review
- OCCT: branch CR32302.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32302-master-KGV/ [^]
(0100318)
osa (developer)
2021-04-15 15:00

The patch was reviewed
(0100390)
bugmaster (administrator)
2021-04-17 13:08

Combination -
OCCT branch : IR-2021-04-16
master SHA - 1294d5e39ed35dc97b2241956855fe794a03b0d8
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-16 SHA - 03c3cb382950144b11c09108f24673216c4e5922
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17987.850000000446 / 18020.24000000038 [-0.18%]
Products
Total CPU difference: 11564.760000000093 / 11543.43000000007 [+0.18%]
Windows-64-VC14:
OCCT
Total CPU difference: 19496.34375 / 19510.890625 [-0.07%]
Products
Total CPU difference: 12932.890625 / 12891.265625 [+0.32%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100402)
git (administrator)
2021-04-17 14:02

Branch CR32302 has been deleted by inv.

SHA-1: a18132ed10df830c08be7d8b881ae509f583f159

- Related Changesets
occt: master d85cd274
Timestamp: 2021-04-15 08:27:38
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032302: Visualization, TKOpenGles - do not use window buffer by default

OpenGl_Caps::useSystemBuffer is now set to FALSE on both OpenGL and OpenGL ES.
OpenGl_Caps::buffersNoSwap and OpenGl_Caps::buffersOpaqueAlpha are now set to TRUE by default on WebGL.
mod - src/OpenGl/OpenGl_Caps.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-04-15 11:23 kgv New Issue
2021-04-15 11:23 kgv Assigned To => kgv
2021-04-15 11:31 git Note Added: 0100309
2021-04-15 13:49 kgv Note Added: 0100315
2021-04-15 13:49 kgv Assigned To kgv => osa
2021-04-15 13:49 kgv Status new => resolved
2021-04-15 15:00 osa Note Added: 0100318
2021-04-15 15:00 osa Assigned To osa => bugmaster
2021-04-15 15:00 osa Status resolved => reviewed
2021-04-17 13:08 bugmaster Note Added: 0100390
2021-04-17 13:08 bugmaster Status reviewed => tested
2021-04-17 13:14 bugmaster Test case number => Not required
2021-04-17 13:41 bugmaster Changeset attached => occt master d85cd274
2021-04-17 13:41 bugmaster Status tested => verified
2021-04-17 13:41 bugmaster Resolution open => fixed
2021-04-17 14:02 git Note Added: 0100402


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker